
Redmine - Feature #3306

Add 3 plugin hook, patch included

2009-05-06 21:24 - Edouard Brière

Status: Closed Start date: 2009-05-06

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Plugin API Estimated time: 0.00 hour

Target version: 0.8.5   

Resolution:    

Description

Hi,

I'd need 3 plugin hooks for a Campfire notifier plugin for Redmine I am using. I've included a patch.

It is:

One hook after editing a wiki,

One hook after creating a new topic in a board,

One hook after replying to a topid in a board.

I also pulled a request to edavis on github.

Thanks!

Associated revisions

Revision 2774 - 2009-05-31 00:43 - Eric Davis

Added more plugin hooks:

:controller_messages_new_after_save

:controller_messages_reply_after_save

:controller_wiki_edit_after_save   

#3306

History

#1 - 2009-05-31 00:32 - Eric Davis

- Status changed from New to Resolved

- Target version set to 0.8.5

- % Done changed from 0 to 100

Added, with some name changes, in r2774.

#2 - 2009-09-13 13:43 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2882.

Files

patch.diff 2.11 KB 2009-05-06 Edouard Brière
